Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.pipeline
Class PipelineFactory

    java.lang.Object
      org.apache.xmlgraphics.image.loader.pipeline.PipelineFactory

    public class PipelineFactory

extends Object

Factory class for image processing pipelines.

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logger

Constructor Summary
`PipelineFactory(ImageManager manager)` Main constructor.

Method Summary
`ImageProviderPipeline[]` | `determineCandidatePipelines(Image sourceImage, ImageFlavor[] flavors)` Finds and returns an array of `ImageProviderPipeline` instances which can handle the convert the given `Image` and return one of the given `ImageFlavor`s.
`ImageProviderPipeline[]` | `determineCandidatePipelines(ImageInfo imageInfo, ImageFlavor targetFlavor)` Determines all possible pipelines for the given image that can produce the requested target flavor.
`ImageProviderPipeline[]` | `determineCandidatePipelines(ImageInfo imageInfo, ImageFlavor[] flavors)` Finds and returns an array of `ImageProviderPipeline` instances which can handle the given MIME type and return one of the given `ImageFlavor`s.
`ImageProviderPipeline` | `newImageConverterPipeline(Image originalImage, ImageFlavor targetFlavor)` Creates and returns an `ImageProviderPipeline` that allows to load an image of the given MIME type and present it in the requested image flavor.
`ImageProviderPipeline` | `newImageConverterPipeline(ImageInfo imageInfo, ImageFlavor targetFlavor)` Creates and returns an `ImageProviderPipeline` that allows to load an image of the given MIME type and present it in the requested image flavor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logger

Constructor Detail

### PipelineFactory

    public PipelineFactory(ImageManager manager)

  Main constructor.

  Parameters:
    `manager` - the ImageManager instance

Method Detail

### newImageConverterPipeline

    public ImageProviderPipeline newImageConverterPipeline(Image originalImage,
                                                           ImageFlavor targetFlavor)

  Creates and returns an `ImageProviderPipeline` that allows to load an image of the given MIME type and present it in the requested image flavor.

  Parameters:
    `originalImage` - the original image that serves as the origin point of the conversion
    `targetFlavor` - the requested image flavor
  Returns:
    an `ImageProviderPipeline` or null if no suitable pipeline could be assembled

### newImageConverterPipeline

    public ImageProviderPipeline newImageConverterPipeline(ImageInfo imageInfo,
                                                           ImageFlavor targetFlavor)

  Creates and returns an `ImageProviderPipeline` that allows to load an image of the given MIME type and present it in the requested image flavor.

  Parameters:
    `imageInfo` - the image info object of the original image
    `targetFlavor` - the requested image flavor
  Returns:
    an `ImageProviderPipeline` or null if no suitable pipeline could be assembled

### determineCandidatePipelines

    public ImageProviderPipeline[] determineCandidatePipelines(ImageInfo imageInfo,
                                                               ImageFlavor targetFlavor)

  Determines all possible pipelines for the given image that can produce the requested target flavor.

  Parameters:
    `imageInfo` - the image information
    `targetFlavor` - the target flavor
  Returns:
    the candidate pipelines

### determineCandidatePipelines

    public ImageProviderPipeline[] determineCandidatePipelines(ImageInfo imageInfo,
                                                               ImageFlavor[] flavors)

  Finds and returns an array of `ImageProviderPipeline` instances which can handle the given MIME type and return one of the given `ImageFlavor`s.

  Parameters:
    `imageInfo` - the image info object
    `flavors` - the possible target flavors
  Returns:
    an array of pipelines

### determineCandidatePipelines

    public ImageProviderPipeline[] determineCandidatePipelines(Image sourceImage,
                                                               ImageFlavor[] flavors)

  Finds and returns an array of `ImageProviderPipeline` instances which can handle the convert the given `Image` and return one of the given `ImageFlavor`s.

  Parameters:
    `sourceImage` - the image to be converted
    `flavors` - the possible target flavors
  Returns:
    an array of pipelines

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.